Subject: RE: Apache with mod_perl trouble
From: "Dmitry A. Pashko" <[email-masked]>
To: "'Patrick Eisenacher'" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 19 Nov 2003 14:06:09 +0300

Hi Patrick,

Your hypothesis is close to true. I have returned to version 5.8.0-5
too. 

There is a question to Gerrit P. Haase. 
Is the given problem refers to version 5.8.2 in general? Or it concerns
only Cygwin perl build?

Dmitry Pashko
[email-masked]

| -----Original Message-----
| From: Patrick Eisenacher [mailto:[email-masked]] 
| Sent: Wednesday, November 19, 2003 1:28 PM
| To: Dmitry A. Pashko
| Cc: [email-masked]
| Subject: Re: Apache with mod_perl trouble
| 
| 
| Hi Dmitry,
| 
| I experienced similar problems with exim and perl v5.8.2-1, see 
| http://cygwin.com/ml/cygwin/2003-11/msg00434.html. As soon as 
| exim tries 
| to start the perl interpreter, it crashs. I had to downgrade to perl 
| v5.8.0-3 again. Perl v5.8.2-1 seems to be broken.
| 
| 
| Patrick
| 
| Dmitry A. Pashko schrieb:
| 
| > 	Hi!
| > 
| > Has somebody a positive experience of use of a 
| Apache+mod_perl 1.3.28 or
| > 1.3.29 with perl 5.8.2-1?
| > All perfectly worked for me with perl 5.8.0. However after 
| updating perl
| > to version 5.8.2 the server has ceased to start. I rebuild 
| a Apache, but
| > have changed nothing it.
| > 
| > In Event Log thus the following message is written:
| > 	httpd-perl : PID 45680 : starting service `httpd-perl' failed:
| > execv: 128, Transport endpoint is not connected.
| > 
| > Under a debugger I have detected, that at initialization 
| perl there is a
| > SEGFAULT near perl_construct() (mod_perl.c, perl_startup function).
| > 
| > Any idea to resolve thes fault?
| > 
| > Dmitry Pashko
| > [email-masked]
| 
| 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/